import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import './Radio.stories.less';
declare const _default: {
    title: string;
    component: import("vue").ComponentOptions<Vue, import("@vue/composition-api").ShallowUnwrapRef<{
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        focusInput: () => void;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../../composables/useModelWrapper").ModelValue>;
    }> & import("@vue/composition-api").Data, {}, {}, {
        modelValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor | ArrayConstructor)[];
            default: boolean;
        };
        inputValue: {
            type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
    }, {
        disabled: boolean;
        name: string;
        modelValue: import("../../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
    } & {}> & import("vue").VueConstructor<Vue> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
        disabled: boolean;
        name: string;
        modelValue: import("../../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
    } & {}, import("@vue/composition-api").ShallowUnwrapRef<{
        input: import("@vue/composition-api").Ref<HTMLInputElement | undefined>;
        focusInput: () => void;
        wrappedModel: import("@vue/composition-api").WritableComputedRef<import("../../composables/useModelWrapper").ModelValue>;
    }>, import("@vue/composition-api").Data, {}, {}, {
        disabled: boolean;
        name: string;
        modelValue: import("../../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
    } & {}, {
        disabled: boolean;
        name: string;
        modelValue: import("../../composables/useModelWrapper").ModelValue;
        inputValue: string | number | boolean;
    }, true>);
    parameters: {
        layout: string;
    };
    argTypes: {
        default: {
            control: string;
            defaultValue: string;
        };
        'v-model': {
            name: string;
            control: null;
        };
        inputValue: {
            control: string;
            defaultValue: string;
        };
        name: {
            control: string;
            defaultValue: string;
        };
    };
};
export default _default;
export declare const Configurable: (args: Args, { argTypes }: StoryContext) => Vue.Component;
export declare const RadioGroup: {
    (args: Args, { argTypes }: StoryContext): Vue.Component;
    argTypes: {
        default: {
            table: {
                disable: boolean;
            };
        };
        inputValue: {
            table: {
                disable: boolean;
            };
        };
        disabled: {
            table: {
                disable: boolean;
            };
        };
    };
};
